summaryrefslogtreecommitdiffstats
path: root/tests/imuxsock_ccmiddle.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/imuxsock_ccmiddle.sh')
-rwxr-xr-xtests/imuxsock_ccmiddle.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/imuxsock_ccmiddle.sh b/tests/imuxsock_ccmiddle.sh
new file mode 100755
index 0000000..6e53a8f
--- /dev/null
+++ b/tests/imuxsock_ccmiddle.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# test trailing LF handling in imuxsock
+. ${srcdir:=.}/diag.sh init
+./syslog_caller -fsyslog_inject-l -m0 > /dev/null 2>&1
+no_liblogging_stdlog=$?
+if [ $no_liblogging_stdlog -ne 0 ];then
+ echo "liblogging-stdlog not available - skipping test"
+ exit 77
+fi
+
+export NUMMESSAGES=1
+export QUEUE_EMPTY_CHECK_FUNC=wait_file_lines
+generate_conf
+add_conf '
+module(load="../plugins/imuxsock/.libs/imuxsock" sysSock.use="off")
+input(type="imuxsock" Socket="'$RSYSLOG_DYNNAME'-testbench_socket")
+
+template(name="outfmt" type="string" string="%msg:%\n")
+local1.* action(type="omfile" file="'$RSYSLOG_OUT_LOG'" template="outfmt")
+'
+startup
+# send a message with trailing LF
+./syslog_caller -fsyslog_inject-c -m1 -C "uxsock:$RSYSLOG_DYNNAME-testbench_socket"
+shutdown_when_empty
+wait_shutdown
+export EXPECTED=" test 1#0112"
+cmp_exact
+exit_test